# SPDX-License-Identifier: (GPL-2.0 OR BSD-2-Clause)
%YAML 1.2
---
$id: http://devicetree.org/schemas/soc/qcom/qcom,se-common-props.yaml#
$schema: http://devicetree.org/meta-schemas/core.yaml#

title: QUP Peripheral-specific properties for I2C, SPI and SERIAL bus

description:
  The Generic Interface (GENI) based Qualcomm Universal Peripheral (QUP) is
  a programmable module that supports a wide range of serial interfaces
  such as UART, SPI, I2C, I3C, etc. This defines the common properties used
  across QUP-supported peripherals.

maintainers:
  - Mukesh Kumar Savaliya <mukesh.savaliya@oss.qualcomm.com>
  - Viken Dadhaniya <viken.dadhaniya@oss.qualcomm.com>

properties:
  qcom,enable-gsi-dma:
    $ref: /schemas/types.yaml#/definitions/flag
    description:
      Configure the Serial Engine (SE) to transfer data in QCOM GPI DMA mode.
      By default, FIFO mode (PIO/CPU DMA) will be selected.

additionalProperties: true
